%define name php-pear-XML_Serializer
%define rname XML_Serializer
%define version 0.14.1
%define rversion 0.14.1
%define release 2mdk

%define pear_phpdir %{_datadir}/pear
%define pear_docdir %{_datadir}/pear/docs
%define pear_extdir %{_libdir}/php/extensions
%define pear_datadir %{_datadir}/pear/data
%define pear_testdir %{_datadir}/pear/tests

Summary: Swiss-army knive for reading and writing XML files
Name:      %{name}
Version:   %{version}
Release:   %{release}
Source0:   %{rname}-%{version}.tar.bz2
License:   PHP License
Group:     Development/Other
Url:       http://pear.php.net/package/XML_Serializer
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildArch: noarch
PreReq:    php-pear
Requires: php-pear-XML_Util >= 1.1.1
%description
XML_Serializer serializes complex data structures like arrays or object as
XML documents.
This class helps you generating any XML document you require without the
need for DOM.
Furthermore this package can be used as a replacement to serialize() and
unserialize() as it comes with a matching XML_Unserializer that is able to
create PHP data structures (like arrays and objects) from XML documents, if
type hints are available.
If you use the XML_Unserialzer on standard XML files, it will try to guess
how it has to be unserialized. In most cases it does exactly what you
expect it to do.
Try reading a RSS file with XML_Unserializer and you have the whole RSS
file in a structured array or even a collection of objects, similar to
XML_RSS.

Since version 0.8 the package is able to treat XML documents like the
simplexml extension of PHP 5.

%prep
%setup -q -n %rname-%rversion
mv ../package.xml .

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{pear_phpdir}
mkdir -p $RPM_BUILD_ROOT%{pear_datadir}/XML/doc
cp doc/todo.txt $RPM_BUILD_ROOT%{pear_datadir}/XML/doc/todo.txt
mkdir -p $RPM_BUILD_ROOT%{pear_docdir}/XML//examples
cp examples/example.xml $RPM_BUILD_ROOT%{pear_docdir}/XML//examples/example.xml
cp examples/serializeAndEncode.php $RPM_BUILD_ROOT%{pear_docdir}/XML//examples/serializeAndEncode.php
cp examples/serializeArrayWithObjects.php $RPM_BUILD_ROOT%{pear_docdir}/XML//examples/serializeArrayWithObjects.php
cp examples/serializeEmptyArray.php $RPM_BUILD_ROOT%{pear_docdir}/XML//examples/serializeEmptyArray.php
cp examples/serializeIndexedArray.php $RPM_BUILD_ROOT%{pear_docdir}/XML//examples/serializeIndexedArray.php
cp examples/serializeObject.php $RPM_BUILD_ROOT%{pear_docdir}/XML//examples/serializeObject.php
cp examples/serializeRDF.php $RPM_BUILD_ROOT%{pear_docdir}/XML//examples/serializeRDF.php
cp examples/serializeWithAttributes.php $RPM_BUILD_ROOT%{pear_docdir}/XML//examples/serializeWithAttributes.php
cp examples/serializeWithAttributes2.php $RPM_BUILD_ROOT%{pear_docdir}/XML//examples/serializeWithAttributes2.php
cp examples/serializeWithDtd.php $RPM_BUILD_ROOT%{pear_docdir}/XML//examples/serializeWithDtd.php
cp examples/serializeWithIndentedAttributes.php $RPM_BUILD_ROOT%{pear_docdir}/XML//examples/serializeWithIndentedAttributes.php
cp examples/serializeWithNamespace.php $RPM_BUILD_ROOT%{pear_docdir}/XML//examples/serializeWithNamespace.php
cp examples/serializeWithTagMap.php $RPM_BUILD_ROOT%{pear_docdir}/XML//examples/serializeWithTagMap.php
cp examples/unserializeAnyXML.php $RPM_BUILD_ROOT%{pear_docdir}/XML//examples/unserializeAnyXML.php
cp examples/unserializeEncoded.php $RPM_BUILD_ROOT%{pear_docdir}/XML//examples/unserializeEncoded.php
cp examples/unserializeEnum.php $RPM_BUILD_ROOT%{pear_docdir}/XML//examples/unserializeEnum.php
cp examples/unserializeObject.php $RPM_BUILD_ROOT%{pear_docdir}/XML//examples/unserializeObject.php
cp examples/unserializeRDF.php $RPM_BUILD_ROOT%{pear_docdir}/XML//examples/unserializeRDF.php
cp examples/unserializeWithAttributes.php $RPM_BUILD_ROOT%{pear_docdir}/XML//examples/unserializeWithAttributes.php
mkdir -p $RPM_BUILD_ROOT%{pear_phpdir}/XML
cp Serializer.php $RPM_BUILD_ROOT%{pear_phpdir}/XML/Serializer.php
cp Unserializer.php $RPM_BUILD_ROOT%{pear_phpdir}/XML/Unserializer.php

find $RPM_BUILD_ROOT -type f -exec sed -i 's|^#!/usr/local/bin/php|#!/usr/bin/php|' {} \;
mkdir -p $RPM_BUILD_ROOT%{pear_phpdir}/packages
cp package.xml $RPM_BUILD_ROOT%{pear_phpdir}/packages/%{rname}.xml

%post
pear install -r -n %{pear_phpdir}/packages/%{rname}.xml

%preun
pear uninstall -r -n %{rname}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir %{pear_datadir}/XML/doc
%dir %{pear_docdir}/XML//examples
%dir %{pear_phpdir}/XML
%{pear_datadir}/XML/doc/todo.txt
%{pear_docdir}/XML//examples/example.xml
%{pear_docdir}/XML//examples/serializeAndEncode.php
%{pear_docdir}/XML//examples/serializeArrayWithObjects.php
%{pear_docdir}/XML//examples/serializeEmptyArray.php
%{pear_docdir}/XML//examples/serializeIndexedArray.php
%{pear_docdir}/XML//examples/serializeObject.php
%{pear_docdir}/XML//examples/serializeRDF.php
%{pear_docdir}/XML//examples/serializeWithAttributes.php
%{pear_docdir}/XML//examples/serializeWithAttributes2.php
%{pear_docdir}/XML//examples/serializeWithDtd.php
%{pear_docdir}/XML//examples/serializeWithIndentedAttributes.php
%{pear_docdir}/XML//examples/serializeWithNamespace.php
%{pear_docdir}/XML//examples/serializeWithTagMap.php
%{pear_docdir}/XML//examples/unserializeAnyXML.php
%{pear_docdir}/XML//examples/unserializeEncoded.php
%{pear_docdir}/XML//examples/unserializeEnum.php
%{pear_docdir}/XML//examples/unserializeObject.php
%{pear_docdir}/XML//examples/unserializeRDF.php
%{pear_docdir}/XML//examples/unserializeWithAttributes.php
%{pear_phpdir}/XML/Serializer.php
%{pear_phpdir}/XML/Unserializer.php
%{pear_phpdir}/packages/%{rname}.xml

%changelog
* Thu Jan 20 2005 Pascal Terjan <pterjan@mandrake.org> 0.14.1-2mdk

- Updated

* Thu Jan 20 2005 Pascal Terjan <pterjan@mandrake.org> 0.14.1-1mdk

- First mdk package
